Author Topic: FeatherNotes for OS/2  (Read 31744 times)

Tom

  • Full Member
  • ***
  • Posts: 189
  • Karma: +5/-0
    • View Profile
Re: FeatherNotes and FeatherPad for OS/2 0.10.1
« Reply #15 on: March 22, 2022, 11:04:58 pm »

03-20-2022  20:56:57  SYS2070  PID 007a  TID 0001  Slot 00a8
D:\USR\BIN\FEATHERNOTES.EXE
FEATHERNOTES->QT5CORE.__ZN2Qt4endlER11QTextStream
127

I used PMDLL to check all the dependencies and they are all there with nothing missing.

This seems to indicate that qt5core.dll is present, but not the correct version. Try updating it.

mauro

  • Sr. Member
  • ****
  • Posts: 406
  • Karma: +3/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #16 on: March 23, 2022, 06:35:07 pm »
me again, now trying to replicate the Feathernotes 0.10.1 installation on a different OS2 4.52 virtual machine (Virtualbox); after having worked around some dependencies error-alert  about Pyton version and QT5 compatibility (initially that system did not have any QT5 implementation), now I arrived here when running FeatherNotes.exe -see image- and do not catch what to do next.
Thank you
« Last Edit: March 23, 2022, 08:20:43 pm by mauro »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4677
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: FeatherNotes for OS/2
« Reply #17 on: March 23, 2022, 06:49:17 pm »
Mauro, just in case this is my stdcpp6.dll:
Code: [Select]
7-22-20  9:00p     1,121,313    124 a---  stdcpp6.dll
Quote
[C:\usr\lib]bldlevel stdcpp6.dll
Build Level Display Facility Version 6.12.675 Sep 25 2001
(C) Copyright IBM Corporation 1993-2001
Signature:       @#bww bitwise works GmbH:9.2.0-5.oc00#@##1## 23 Jul 2020 04:51:
30     novator::::0::@@stdc++
Vendor:          bww bitwise works GmbH
Revision:        9.02.0-5.oc00
Date/Time:       23 Jul 2020 04:51:30
Build Machine:   novator
File Version:    9.2
Description:     stdc++

Martin Iturbide
OS2World NewsMaster
... just share the dream.

mauro

  • Sr. Member
  • ****
  • Posts: 406
  • Karma: +3/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #18 on: March 23, 2022, 08:28:15 pm »
Mauro, just in case this is my stdcpp6.dll:
Code: [Select]
7-22-20  9:00p     1,121,313    124 a---  stdcpp6.dll
Quote
[C:\usr\lib]bldlevel stdcpp6.dll
Build Level Display Facility Version 6.12.675 Sep 25 2001
(C) Copyright IBM Corporation 1993-2001
Signature:       @#bww bitwise works GmbH:9.2.0-5.oc00#@##1## 23 Jul 2020 04:51:
30     novator::::0::@@stdc++
Vendor:          bww bitwise works GmbH
Revision:        9.02.0-5.oc00
Date/Time:       23 Jul 2020 04:51:30
Build Machine:   novator
File Version:    9.2
Description:     stdc++


tks Martin, I have identical description in my stdcpp6.dll .
The difference  I can think about with the other system where I could successfully install the working version of FeatherNotes, is that was a "QT5 ready" one, meaning that has been setted for the Simple Browser hosting, with all the necessary QT5 stuff as described in this topic   https://www.os2world.com/forum/index.php/topic,2956.0.html

EDIT (5 mins late) : unbelievable, after a further system reboot (the third one), now everything works fine ! 
Very Well  :D :D
« Last Edit: March 23, 2022, 08:45:48 pm by mauro »

Jochen Schäfer

  • Sr. Member
  • ****
  • Posts: 305
  • Karma: +27/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #19 on: March 25, 2022, 01:03:41 pm »
 :)

mauro

  • Sr. Member
  • ****
  • Posts: 406
  • Karma: +3/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #20 on: March 29, 2022, 07:54:00 pm »
Sorry ,  any of you could tell how I could fix this (see image), coming as attemptto run FeatherNotes ?
I have already installed both QT5 and  QT5-base, and Hunspell 1.7.0-2 pentium4 too.
Thank you

Tom

  • Full Member
  • ***
  • Posts: 189
  • Karma: +5/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #21 on: March 29, 2022, 11:27:21 pm »
Sorry ,  any of you could tell how I could fix this (see image), coming as attemptto run FeatherNotes ?
I have already installed both QT5 and  QT5-base, and Hunspell 1.7.0-2 pentium4 too.
Thank you

The error says that you don't have the version of stdcpp6.dll installed that qt5core needs.
 What is the output of

Code: [Select]
yum list installed libstdc++

mauro

  • Sr. Member
  • ****
  • Posts: 406
  • Karma: +3/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #22 on: March 30, 2022, 03:20:37 pm »
Sorry ,  any of you could tell how I could fix this (see image), coming as attemptto run FeatherNotes ?
I have already installed both QT5 and  QT5-base, and Hunspell 1.7.0-2 pentium4 too.
Thank you

The error says that you don't have the version of stdcpp6.dll installed that qt5core needs.
 What is the output of

Code: [Select]
yum list installed libstdc++

libstdc++.i686  9.2.0-5.oc00  installed

guess it has to be  libstdc++.pentium4  9.2.0-5.oc00  instead.
By now I'm unable to switch to its pentium4 version because of the ANPM connection blackout today, I'll try soon as ANPM will be available again.
Thank you

mauro

  • Sr. Member
  • ****
  • Posts: 406
  • Karma: +3/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #23 on: March 30, 2022, 07:23:56 pm »

Quote

libstdc++.i686  9.2.0-5.oc00  installed

guess it has to be  libstdc++.pentium4  9.2.0-5.oc00  instead.
By now I'm unable to switch to its pentium4 version because of the ANPM connection blackout today, I'll try soon as ANPM will be available again.
Thank you

yes, now that ANPM is working again, after libstdc++ switch to pentium4 now FeatherNothes runs  :)
Thank you

Jochen Schäfer

  • Sr. Member
  • ****
  • Posts: 305
  • Karma: +27/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #24 on: September 24, 2022, 12:28:34 pm »
I have build a newer package for Feathernotes version 1.0.1, https://github.com/josch1710/FeatherNotes/releases/tag/v1.0.1-os2.

Jochen Schäfer

  • Sr. Member
  • ****
  • Posts: 305
  • Karma: +27/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #25 on: May 10, 2023, 12:14:09 pm »
I have build a package for FeatherNotes version 1.1.0, https://github.com/josch1710/FeatherNotes/releases/tag/v1.1.0-os2.

Michael Greene

  • Newbie
  • *
  • Posts: 4
  • Karma: +1/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #26 on: June 25, 2023, 03:09:18 pm »
A quick question, I have i686 selected in ANPM. Is there a version of FeatherNotes for the i686 arch?

Mike

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4761
  • Karma: +98/-1
    • View Profile
Re: FeatherNotes for OS/2
« Reply #27 on: June 25, 2023, 05:45:37 pm »
Hi Michael, Qt itself is now dependent on SSE2 so is only available as Pentium 4, it is actually built with -march=i686 but SSE is enabled.
Simplest, if you have a CPU that supports SSE2 is just to change your platform under tools in ANPM. It usually works but sometimes there are weird conflicts which can usually be fixed by right clicking the conflicting package and choosing "Get specific release" and changing to the Pentium 4 version.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4677
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: FeatherNotes for OS/2
« Reply #28 on: June 25, 2023, 05:49:35 pm »
Hi Mike, welcome to the forum.

Is there any specific reason why you are using i686 on ANPM?
Did you tried installing the petium4 version of FeatherNotes on your system? I think that in the majority of cases you should not have issues.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Michael Greene

  • Newbie
  • *
  • Posts: 4
  • Karma: +1/-0
    • View Profile
Re: FeatherNotes for OS/2
« Reply #29 on: June 25, 2023, 06:59:12 pm »
Not really. I must have selected it and so it is i686.